Bug 827459 - wrong keyboard layout selected each time I login
wrong keyboard layout selected each time I login
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-01 10:19 EDT by David Mansfield
Modified: 2013-08-01 01:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 16:36:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Mansfield 2012-06-01 10:19:41 EDT
Description of problem:
I have two keyboard layouts added, English US and English Dvorak.  Despite that the Dvorak is the "top" one (there is a move up/down button), it always picks the English US (labeled as "en2" in the top panel).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.add english dvorak layout in "languag settings"
2.move it to the top
Actual results:
English US (en2) is selected

Expected results:
English Dvorak (en1) is selected

Additional info:
worked in F16
Comment 1 Egon Kastelijn 2012-07-05 03:26:43 EDT
I am having the exact same issue.

My dvorak keyboard layout is on the top of my 'layouts'-list in the 'regional & language' settings.
When I login Gnome keeps setting 'us' as the keyboard layout.

As a test I have added multiple keyboard layouts, but this does not make any difference. Always 'us' gets selected.
Comment 2 Pierre-Yves Luyten 2013-01-17 16:14:57 EST
Now works for me in F18, gnome-settings-daemon 3.6.3
Comment 3 Fedora End Of Life 2013-07-03 16:31:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Egon Kastelijn 2013-07-10 14:50:52 EDT
Works for me too on F18 & F19.
Comment 5 Fedora End Of Life 2013-07-31 16:36:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Egon Kastelijn 2013-08-01 01:46:13 EDT
I think this bug should not have the Resolution "WONTFIX" but, because multiple users have reported it as FIXED.

Note You need to log in before you can comment on or make changes to this bug.